package com.zyc.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zyc.common.annotation.Excel;
import com.zyc.common.core.domain.BaseEntity;

/**
 * 设备基本信息对象 devices
 * 
 * @author ruoyi
 * @date 2024-12-26
 */
public class Devices extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Integer id;

    /** 工单编号 */
    @Excel(name = "工单编号")
    private String workOrderCode;

    /** 申请单位名称 */
    @Excel(name = "申请单位名称")
    private String applicantDepartment;

    /** 申请联系人 */
    @Excel(name = "申请联系人")
    private String applicantName;

    /** 申请联系人电话 */
    @Excel(name = "申请联系人电话")
    private String applicantPhone;

    /** 技术联系人 */
    @Excel(name = "技术联系人")
    private String techContactName;

    /** 技术联系人电话 */
    @Excel(name = "技术联系人电话")
    private String techContactPhone;

    /** 使用单位 */
    @Excel(name = "使用单位")
    private String userDepartment;

    /** 信息系统名称 */
    @Excel(name = "信息系统名称")
    private String systemName;

    /** 资产编号 */
    @Excel(name = "资产编号")
    private String assetNumber;

    /** 设备序列号 */
    @Excel(name = "设备序列号")
    private String sn;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String deviceName;

    /** 厂商 */
    @Excel(name = "厂商")
    private String manufacturer;

    /** 设备型号 */
    @Excel(name = "设备型号")
    private String deviceModel;

    /** 设备类型 */
    @Excel(name = "设备类型")
    private String deviceType;

    /** 额定功率 */
    @Excel(name = "额定功率")
    private Integer power;

    /** 设备高度 */
    @Excel(name = "设备高度")
    private Integer uHeight;

    /** 起始U位 */
    @Excel(name = "起始U位")
    private Integer uBegin;

    /** 结束U位 */
    @Excel(name = "结束U位")
    private Integer uEnd;

    /** 所属机柜 */
    @Excel(name = "所属机柜")
    private Integer cabinetId;

    /** 电源模块 */
    @Excel(name = "电源模块")
    private String doublePower;

    /** 硬件配置参数 */
    @Excel(name = "硬件配置参数")
    private String hardwareConfig;

    /** 应用描述 */
    @Excel(name = "应用描述")
    private String applicationDesc;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 运行状态 */
    @Excel(name = "运行状态")
    private String runStatus;

    /** 管理类型 */
    @Excel(name = "管理类型")
    private String manageType;

    /** 地址类型 */
    @Excel(name = "地址类型")
    private String ipType;

    /** IPV4/IPV6 */
    @Excel(name = "IPV4/IPV6")
    private String ipVersion;

    /** IP地址 */
    @Excel(name = "IP地址")
    private String ipAddress;

    /** 创建者 */
    @Excel(name = "创建者")
    private Integer createdBy;

    /** 更新者 */
    @Excel(name = "更新者")
    private Integer updatedBy;

    /** 删除者 */
    @Excel(name = "删除者")
    private Integer deletedBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdAt;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedAt;

    /** 删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "删除时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deletedAt;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer deletedFlag;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setWorkOrderCode(String workOrderCode) 
    {
        this.workOrderCode = workOrderCode;
    }

    public String getWorkOrderCode() 
    {
        return workOrderCode;
    }
    public void setApplicantDepartment(String applicantDepartment) 
    {
        this.applicantDepartment = applicantDepartment;
    }

    public String getApplicantDepartment() 
    {
        return applicantDepartment;
    }
    public void setApplicantName(String applicantName) 
    {
        this.applicantName = applicantName;
    }

    public String getApplicantName() 
    {
        return applicantName;
    }
    public void setApplicantPhone(String applicantPhone) 
    {
        this.applicantPhone = applicantPhone;
    }

    public String getApplicantPhone() 
    {
        return applicantPhone;
    }
    public void setTechContactName(String techContactName) 
    {
        this.techContactName = techContactName;
    }

    public String getTechContactName() 
    {
        return techContactName;
    }
    public void setTechContactPhone(String techContactPhone) 
    {
        this.techContactPhone = techContactPhone;
    }

    public String getTechContactPhone() 
    {
        return techContactPhone;
    }
    public void setUserDepartment(String userDepartment) 
    {
        this.userDepartment = userDepartment;
    }

    public String getUserDepartment() 
    {
        return userDepartment;
    }
    public void setSystemName(String systemName) 
    {
        this.systemName = systemName;
    }

    public String getSystemName() 
    {
        return systemName;
    }
    public void setAssetNumber(String assetNumber) 
    {
        this.assetNumber = assetNumber;
    }

    public String getAssetNumber() 
    {
        return assetNumber;
    }
    public void setSn(String sn) 
    {
        this.sn = sn;
    }

    public String getSn() 
    {
        return sn;
    }
    public void setDeviceName(String deviceName) 
    {
        this.deviceName = deviceName;
    }

    public String getDeviceName() 
    {
        return deviceName;
    }
    public void setManufacturer(String manufacturer) 
    {
        this.manufacturer = manufacturer;
    }

    public String getManufacturer() 
    {
        return manufacturer;
    }
    public void setDeviceModel(String deviceModel) 
    {
        this.deviceModel = deviceModel;
    }

    public String getDeviceModel() 
    {
        return deviceModel;
    }
    public void setDeviceType(String deviceType) 
    {
        this.deviceType = deviceType;
    }

    public String getDeviceType() 
    {
        return deviceType;
    }
    public void setPower(Integer power) 
    {
        this.power = power;
    }

    public Integer getPower() 
    {
        return power;
    }
    public void setuHeight(Integer uHeight) 
    {
        this.uHeight = uHeight;
    }

    public Integer getuHeight() 
    {
        return uHeight;
    }
    public void setuBegin(Integer uBegin) 
    {
        this.uBegin = uBegin;
    }

    public Integer getuBegin() 
    {
        return uBegin;
    }
    public void setuEnd(Integer uEnd) 
    {
        this.uEnd = uEnd;
    }

    public Integer getuEnd() 
    {
        return uEnd;
    }
    public void setCabinetId(Integer cabinetId) 
    {
        this.cabinetId = cabinetId;
    }

    public Integer getCabinetId() 
    {
        return cabinetId;
    }
    public void setDoublePower(String doublePower) 
    {
        this.doublePower = doublePower;
    }

    public String getDoublePower() 
    {
        return doublePower;
    }
    public void setHardwareConfig(String hardwareConfig) 
    {
        this.hardwareConfig = hardwareConfig;
    }

    public String getHardwareConfig() 
    {
        return hardwareConfig;
    }
    public void setApplicationDesc(String applicationDesc) 
    {
        this.applicationDesc = applicationDesc;
    }

    public String getApplicationDesc() 
    {
        return applicationDesc;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setRunStatus(String runStatus) 
    {
        this.runStatus = runStatus;
    }

    public String getRunStatus() 
    {
        return runStatus;
    }
    public void setManageType(String manageType) 
    {
        this.manageType = manageType;
    }

    public String getManageType() 
    {
        return manageType;
    }
    public void setIpType(String ipType) 
    {
        this.ipType = ipType;
    }

    public String getIpType() 
    {
        return ipType;
    }
    public void setIpVersion(String ipVersion) 
    {
        this.ipVersion = ipVersion;
    }

    public String getIpVersion() 
    {
        return ipVersion;
    }
    public void setIpAddress(String ipAddress) 
    {
        this.ipAddress = ipAddress;
    }

    public String getIpAddress() 
    {
        return ipAddress;
    }
    public void setCreatedBy(Integer createdBy) 
    {
        this.createdBy = createdBy;
    }

    public Integer getCreatedBy() 
    {
        return createdBy;
    }
    public void setUpdatedBy(Integer updatedBy) 
    {
        this.updatedBy = updatedBy;
    }

    public Integer getUpdatedBy() 
    {
        return updatedBy;
    }
    public void setDeletedBy(Integer deletedBy) 
    {
        this.deletedBy = deletedBy;
    }

    public Integer getDeletedBy() 
    {
        return deletedBy;
    }
    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }
    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }
    public void setDeletedAt(Date deletedAt) 
    {
        this.deletedAt = deletedAt;
    }

    public Date getDeletedAt() 
    {
        return deletedAt;
    }
    public void setDeletedFlag(Integer deletedFlag) 
    {
        this.deletedFlag = deletedFlag;
    }

    public Integer getDeletedFlag() 
    {
        return deletedFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("workOrderCode", getWorkOrderCode())
            .append("applicantDepartment", getApplicantDepartment())
            .append("applicantName", getApplicantName())
            .append("applicantPhone", getApplicantPhone())
            .append("techContactName", getTechContactName())
            .append("techContactPhone", getTechContactPhone())
            .append("userDepartment", getUserDepartment())
            .append("systemName", getSystemName())
            .append("assetNumber", getAssetNumber())
            .append("sn", getSn())
            .append("deviceName", getDeviceName())
            .append("manufacturer", getManufacturer())
            .append("deviceModel", getDeviceModel())
            .append("deviceType", getDeviceType())
            .append("power", getPower())
            .append("uHeight", getuHeight())
            .append("uBegin", getuBegin())
            .append("uEnd", getuEnd())
            .append("cabinetId", getCabinetId())
            .append("doublePower", getDoublePower())
            .append("hardwareConfig", getHardwareConfig())
            .append("applicationDesc", getApplicationDesc())
            .append("status", getStatus())
            .append("runStatus", getRunStatus())
            .append("manageType", getManageType())
            .append("ipType", getIpType())
            .append("ipVersion", getIpVersion())
            .append("ipAddress", getIpAddress())
            .append("remark", getRemark())
            .append("createdBy", getCreatedBy())
            .append("updatedBy", getUpdatedBy())
            .append("deletedBy", getDeletedBy())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .append("deletedAt", getDeletedAt())
            .append("deletedFlag", getDeletedFlag())
            .toString();
    }
}
